/**
 * <copyright>
 * </copyright>
 *
 * $Id: OperationValidator.java,v 1.1 2008-04-01 09:35:40 vmahe Exp $
 */
package orgomg.cwm.objectmodel.behavioral.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.behavioral.CallAction;
import orgomg.cwm.objectmodel.behavioral.Method;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.behavioral.Operation}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface OperationValidator {
	boolean validate();

	boolean validateIsAbstract(boolean value);
	boolean validateCallAction(EList<CallAction> value);
	boolean validateMethod(EList<Method> value);
}
